[Frage] Wie Bootstrap_package von 11.0.3 auf 12.0 updaten? TYPO3-Version: -

  • Nils_K Nils_K
    T3PO
    0 x
    11 Beiträge
    0 Hilfreiche Beiträge
    15. 08. 2021, 16:37

    Hallo,

    ich besitze eine aktuelle Typo3 Version 10.4.19.

    Composer erkennt nicht, daß eine neue 12er Version vom Boostrap-Package vorliegt.
    Ändere ich die composer.jason Datei auf "^12.0" oder führe ein "req..." durch, erhalte ich nur folgende Fehlermeldung:

    "Your requirements could not be resolved to an installable set of packages.

    Problem 1
    - typo3/cms-introduction is locked to version 4.2.0 and an update of this package was not requested.
    - typo3/cms-introduction 4.2.0 requires bk2k/bootstrap-package ~11.0.0 -> found bk2k/bootstrap-package[11.0.0, 11.0.1, 11.0.2, 11.0.3] but it conflicts with your root composer.json require (^12.0).

    Use the option --with-all-dependencies (-W) to allow upgrades, downgrades and removals for packages currently locked to specific versions.

    Installation failed, reverting ./composer.json and ./composer.lock to their original content."

    Wenn ich "--with-all-dependencies" dran hänge, erscheint dieselbe Fehlermeldung (außer der letzten Zeile).

    Hat jemand eine Idee, woran es liegen könnte?

    Vielen Dank.

    Herzliche Grüße
    Nils


  • 1
  • Amaterasu Amaterasu
    Padawan
    0 x
    59 Beiträge
    1 Hilfreiche Beiträge
    16. 08. 2021, 18:44

    Hmmm... das cms-introduction patchen so daß es bootstrap 12 verträgt? (Natürlich nur wenn dem tatsächlich so ist)

  • Nils_K Nils_K
    T3PO
    0 x
    11 Beiträge
    0 Hilfreiche Beiträge
    16. 08. 2021, 19:28

    Hi,

    Danke - wie mache ich das denn? ;)
    Wenn ich dort die composer.jason Datei anpasse von "~11.0.0" auf "^12.0" passiert nichts weiter, gleiche Fehlermeldung(en) wie oben.

    Heute gab es noch mal ein Update, aber auch keine Änderung.

    Herzliche Grüße
    Nils

  • 0 x
    3263 Beiträge
    156 Hilfreiche Beiträge
    17. 08. 2021, 10:43

    1. Benötigst/Nutzt Du typo3/cms-introduction?
    => falls nein, removen

    2. Patchen von Packages via composer
    Das erklärt Marcus ganz gut in seinem Blog: https://typo3worx.eu/2017/08/patch-typo3-using-composer/


  • 0 x
    12. 10. 2021, 13:39

    .

  • Nils_K Nils_K
    T3PO
    0 x
    11 Beiträge
    0 Hilfreiche Beiträge
    25. 10. 2021, 21:06

    Hallo Julian,

    naja, was heißt benötigen? Typo3 sagt, man soll es so installieren und das habe ich getan. ;-)
    Eine deutsche Anleitung gibt es ja leider nicht und komplett bei Null mit der Seitenprogrammierung anzufangen wollte ich nicht (auch, wenn man da am meisten mit lernt), denn dafür ist ja glaube ich das Introduction + Boostrap Package gedacht.

    Mit dem Link bin ich nicht ganz weitergekommen, da (dort) die Seitenstruktur geändert wurde und ich dann mit meinem halb-englisch nicht weiterkam.

    Aber, immerhin hat Typo3 vor kurzem nun selbst nachgebessert, sodaß ein Update/Upgrade funktioniert hat.

    Tausend Dank!!

    Herzliche Grüße
    Nils

  • 1